Skip to content
GitHub

A project's preview settings.

GET
/api/v1/projects/{project}/previews/policy
curl --request GET \
--url https://example.com/api/v1/projects/example/previews/policy
project
required
string

Project name

Media typeapplication/json
object
enabled
required
boolean
sourceEnvironment

The environment whose Git-built apps previews copy.

string | null
ttlHours
required
integer format: int32
maxActive
required
integer format: int32
allowForks
required

Pull requests from forks get (untrusted) previews too.

boolean
updatedBy
string | null
updatedAt
string | null
Examplegenerated
{
"enabled": true,
"sourceEnvironment": "example",
"ttlHours": 1,
"maxActive": 1,
"allowForks": true,
"updatedBy": "example",
"updatedAt": "example"
}
Media typeapplication/json

Problem Details body.

object
code
required

Stable machine-readable code, e.g. forbidden.

string
title
required

Short human readable title.

string
status
required

HTTP status.

integer format: int32
detail

Details, if safe to expose.

string | null
Example
{
"code": "forbidden"
}